Subject: Re: e1000_down and tx_timeout worker race cleaning the transmit buffers

From: "Michael Chan" <[email-masked]>
Date: Thu, 20 Apr 2006 18:24:36 -0700

On Fri, 2006-04-21 at 12:40 +1000, Herbert Xu wrote:

> One simple solution is to establish a separate queue for RTNL-holding
> users or vice versa for non-RTNL holding networking users.  That
> would allow the drivers to safely flush the non-RTNL queue while
> holding the RTNL.

You mean a separate workqueue for net drivers to use instead of the
keventd_wq? Yeah, I think that'll work. Each driver can also create its
own workqueue but that may be a bit more wasteful.